@charset "UTF-8";

#spinner {
  /**
	visibility: hidden;
	opacity: 0;
	transition: opacity .5s ease-out, visibility 0s linear .5s;
**/
  transition:
    opacity 1.5s ease-out,
    z-index 1.5s ease-out;
  opacity: 1;
  z-index: 99999;
}

#spinner.anime {
  opacity: 0;
  z-index: -1;
}

.bg-white {
  background-color: #fff !important;
}

.align-items-center {
  align-items: center !important;
}

.justify-content-center {
  justify-content: center !important;
}

.vh-100 {
  height: 100vh !important;
}

.w-100 {
  width: 100% !important;
}

.translate-middle {
  transform: translate(-50%, -50%) !important;
}

.start-50 {
  left: 50% !important;
}

.top-50 {
  top: 50% !important;
}

.position-fixed {
  position: fixed !important;
}

.d-flex {
  display: flex !important;
}

.text-primary {
  color: #fda12b !important;
}

.spinner-grow {
  opacity: 1;
  width: 100%;
  height: 100%;
}

.spinner-grow img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@keyframes spinner-border {
  to {
    transform: rotate(360deg); /* rtl:ignore */
  }
}

.spinner-border {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  vertical-align: -0.125em;
  border: 0.25em solid currentColor;
  border-right-color: transparent;
  border-radius: 50%;
  animation: 0.75s linear infinite spinner-border;
}

.spinner-border-sm {
  width: 1rem;
  height: 1rem;
  border-width: 0.2em;
}

@keyframes spinner-grow {
  0% {
    transform: scale(0);
  }

  50% {
    opacity: 1;
    transform: none;
  }
}

.spinner-grow-sm {
  width: 1rem;
  height: 1rem;
}

@media (prefers-reduced-motion: reduce) {
  .spinner-border,
  .spinner-grow {
    animation-duration: 1.5s;
  }
}

.loading-img-center {
  flex-direction: column;
  justify-content: center;
  background: rgb(50, 50, 50) !important;
  overflow: hidden;
}

.spinner-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
  pointer-events: none;
}

.loading-img-center .auto-flip-inner {
  position: relative;
  z-index: 1;
}
.auto-flip-inner {
  position: relative;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
  animation: autoFlip 6s infinite;
}
@keyframes autoFlip {
  0% {
    transform: rotateY(0deg);
  }
  50% {
    transform: rotateY(180deg);
  }
  100% {
    transform: rotateY(0deg);
  }
}
